%bcond_without python2

Name:		python-hwdata	
Version:	2.3.7
Release:	6
Summary:	Python bindings to hwdata package
License:	GPLv2
URL:		https://github.com/xsuchy/python-hwdata
Source0:	https://github.com/xsuchy/python-hwdata/archive/%{name}-%{version}-1.tar.gz

BuildArch:  	noarch

%description
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

%if %{with python2}
%package -n python2-hwdata
Summary:	Python bindings to hwdata package
BuildRequires: 	python2-devel
Requires:	hwdata
%{?python_provide:%python_provide python2-hwdata}

%description -n python2-hwdata
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.
%endif

%package -n python3-hwdata
Summary:	Python bindings to hwdata package

BuildRequires:	python3-devel
Requires:	hwdata

%{?python_provide:%python_provide python3-hwdata}

%description -n python3-hwdata
Provide python interface to database stored in hwdata package.
It allows you to get human readable description of USB and PCI devices.

%package_help
%prep
%autosetup -n %{name}-%{name}-%{version}-1 -p1
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%if %{with python2}
%_bindir/python2 setup.py build '--executable=%_bindir/python2 -s'
%endif # with python2

pushd %{py3dir}
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'
popd

%install
%if %{with python2}
%_bindir/python2 setup.py install -O1 --skip-build --root %buildroot
%endif

pushd %{py3dir}
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot
popd

%check

%if %{with python2}
%files -n python2-hwdata
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python2.7/site-packages/*
%endif # with python2

%files -n python3-hwdata
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python3.7/site-packages/*

%files help
%defattr(-,root,root)
%doc example.py README.md html

%changelog
* Mon Sep 7 2020 Ge Wang<wangge20@huawei.com> - 2.3.7-6
- Modify Source0 Url

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 2.3.7-5
- Package init
